ALTER TABLE episodes RENAME TO episodes_tmp;

create table episodes (
    id text not null primary key,
    guid text not null,
    itunes_podcast_id text,
    itunes_collection_name text,
    pub_date_unix long not null,
    playback_position integer,
    exhausted integer,
    title text,
    link text,
    comment text,
    description text,
    media_url text,
    media_size text,
    media_type text,
    itunes_summary text,
    itunes_duration integer,
    deleted integer,
    favorited integer,
    flag_download integer
);

INSERT INTO episodes (
    id,
    guid,
    itunes_podcast_id,
    itunes_collection_name,
    pub_date_unix,
    playback_position,
    exhausted,
    title,
    link,
    comment,
    description,
    media_url,
    media_size,
    media_type,
    itunes_summary,
    itunes_duration,
    deleted,
    favorited,
    flag_download
) SELECT
    itunes_podcast_id || '_' || guid,
    guid,
    itunes_podcast_id,
    itunes_collection_name,
    pub_date_unix,
    playback_position,
    exhausted,
    title,
    link,
    comment,
    description,
    media_url,
    media_size,
    media_type,
    itunes_summary,
    itunes_duration,
    deleted,
    favorited,
    flag_download
FROM episodes_tmp;

drop index episodes_ind;
create unique index episodes_ind on episodes(guid, itunes_podcast_id);

ALTER TABLE playlists RENAME TO playlists_tmp;

create table playlists (
    id text not null primary key,
    name text,
    current_episode_id text,
    creation_date_unix long not null
);

INSERT INTO playlists (
    id,
    name,
    current_episode_id,
    creation_date_unix
) SELECT
    id,
    name,
    NULL,
    creation_date_unix
FROM playlists_tmp;

ALTER TABLE playlist_episodes RENAME TO playlist_episodes_tmp;

create table playlist_episodes (
    id integer not null primary key,
    episode_id text not null,
    playlist_id text not null,
    episode_order integer not null
);

drop index playlist_episodes_ind;
create index playlist_episodes_ind on playlist_episodes(playlist_id);

INSERT INTO playlist_episodes (
    id,
    episode_id,
    playlist_id,
    episode_order
) SELECT
    id,
    '',
    playlist_id,
    episode_order
FROM playlist_episodes_tmp;

