create table episode_states (
    episode_id text not null primary key,
    playback_position integer,
    exhausted integer
);

insert into episode_states ( episode_id, playback_position, exhausted )
select id, playback_position, exhausted from episodes;

create table episodes_tmp (
    id text not null primary key,
    guid text not null,
    itunes_podcast_id text,
    itunes_collection_name text,
    pub_date_unix long not null,
    title text,
    link text,
    comment text,
    description text,
    media_url text,
    media_size text,
    media_type text,
    itunes_summary text,
    itunes_duration integer,
    deleted integer,
    favorited integer,
    flag_download integer
);

insert into episodes_tmp
select
    id,
    guid,
    itunes_podcast_id,
    itunes_collection_name,
    pub_date_unix,
    title,
    link,
    comment,
    description,
    media_url,
    media_size,
    media_type,
    itunes_summary,
    itunes_duration,
    deleted,
    favorited,
    flag_download
from episodes;

drop table episodes;

alter table episodes_tmp rename to episodes;

create unique index episodes_ind on episodes(guid, itunes_podcast_id);

-- start-statement

CREATE TRIGGER episodes_bu BEFORE UPDATE ON episodes BEGIN
  DELETE FROM fts_episodes WHERE docid=old.rowid;
END;

-- end-statement

-- start-statement

CREATE TRIGGER episodes_bd BEFORE DELETE ON episodes BEGIN
  DELETE FROM fts_episodes WHERE docid=old.rowid;
END;

-- end-statement

-- start-statement

CREATE TRIGGER episodes_au AFTER UPDATE ON episodes BEGIN
  INSERT INTO fts_episodes(docid, itunes_collection_name, title, description) VALUES(new.rowid, new.itunes_collection_name, new.title, new.description);
END;

-- end-statement

-- start-statement

CREATE TRIGGER episodes_ai AFTER INSERT ON episodes BEGIN
  INSERT INTO fts_episodes(docid, itunes_collection_name, title, description) VALUES(new.rowid, new.itunes_collection_name, new.title, new.description);
END;

-- end-statement
