package com.droidworks.android.http.download;

import com.droidworks.android.http.download.DownloadJob;
import com.droidworks.android.http.download.DownloadStateListener;

interface IDownloadService {

    // register a listener to be called for download events
    void registerUpdateListener(DownloadStateListener listener);

    // unregister a listener to be called for download events
    void unregisterUpdateListener(DownloadStateListener listener);

    // add a job to the queue, returns true if it's accepted.
    boolean queueJob(in DownloadJob job);
    
    void cancelAllJobs();
    
    void cancelJob(in String jobId);
    
    // returns a list of of all active and queued job id's
    String[] getJobIds();

    // returns the state of a job or null if it doesn't exist
    int getJobState(in String jobId);
    
}